case $CONFIG in
'')
    if test ! -f config.sh; then
        ln ../config.sh . || \
        ln ../../config.sh . || \
        ln ../../../config.sh . || \
        (echo "Can't find config.sh."; exit 1)
    fi
    . ./config.sh
    ;;
esac
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac

vardir=`dirname $stage_dir`  

case "$d_locale" in
define)
	localetarget='$(ETC)/elm.mimecharsets $(ETC)/elm.terminalinfo'
	;;
*)
	localetarget=
	;;
esac

echo "Extracting Makefile-1 (with variable substitutions)"
cat >Makefile-1 <<!GROK!THIS!
#!$make
# $Id: Makefile-1.SH,v 1.3 2003/03/17 18:55:52 hurtta Exp $
#
#
#  Makefile for the ELM (ME+) mail program.
#
#  Author: Kari Hurtta <hurtta+elm@ozone.FMI.FI>
#
#
REG	= bin/elmregister
LIB		=	\$(ELM_ROOT)//$lib
ETC		=	\$(ELM_ROOT)//$etc
BIN		=	bin
STAGE		=	\$(ELM_ROOT)//$stage_dir
LOCALETARG	=	$localetarget
CHMOD		=	$chmod
STAGEP          = 	\$(ELM_ROOT)//$vardir

!GROK!THIS!

cat >>Makefile-1 <<'!NO!SUBS!'

all:
lint:
clean:

uninstall_s: 
	$(REG) rm $(LOCALETARG) $(LIB)/elm.map.bin/unidata.bin

install_s: $(LIB) $(ETC) $(STAGE) $(ETC)/elm.rc $(LOCALETARG) $(LIB)/elm.map.bin/unidata.bin

$(ETC)/elm.rc:	$(LIB)/elmrc-write doc/elmrc-info
		$(REG) {$(LIB)/elmrc-write} -G -I -C {doc/elmrc-info}
		$(REG) $(CHMOD) u=rw,go=r {$@}

$(LIB)/elm.map.bin/unidata.bin: $(LIB) $(LIB)/elm.map.bin charset/UNIDATA/UNIDATA2.TXT $(LIB)/elmunidata 
		$(REG) {$(LIB)/elmunidata} -I -s {charset/UNIDATA/UNIDATA2.TXT} 
		$(REG) $(CHMOD) u=rw,go=r {$@}
		$(REG) true {charset/UNIDATA/README.TXT}

$(ETC)/elm.mimecharsets: $(BIN)/elm.mimecharsets $(LIB)/elmcharset ConfTool/killsets $(LIB)/elm.map.txt
		$(REG) {$(LIB)/elmcharset} -G -I {ConfTool/killsets} -w {$@} -S {charset/MAPPINGS/ISO8859} \
 {$(BIN)/elm.mimecharsets} 
		$(REG) $(CHMOD) u=rw,go=r {$@}

$(ETC)/elm.terminalinfo: $(BIN)/elm.terminalinfo $(LIB)/elmterminal $(ETC)/elm.mimecharsets
	$(REG) {$(LIB)/elmterminal} -G -w {$@} {$(BIN)/elm.terminalinfo}
	$(REG) $(CHMOD) u=rw,go=r {$@}

$(LIB):
		$(REG) mkdir $(LIB)

$(LIB)/elm.map.bin: 
		$(REG) mkdir $(LIB)/elm.map.bin

$(LIB)/elm.map.txt:
		$(REG) mkdir $(LIB)/elm.map.txt

$(STAGE):	$(STAGEP)
		$(REG) mkdir $(STAGE)

$(STAGEP):
		$(REG) mkdir $(STAGEP)

!NO!SUBS!